> For the complete documentation index, see [llms.txt](https://manual.personr.co/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://manual.personr.co/api-documentation/flow-logic/overview.md).

# Overview

Flow Logic — a dynamic onboarding experience.

Flow Logic allows you to ask custom questions, and display products and plans that clients can select from before or after verification.

You can choose to add logic to questions with our logic builder - only displaying them when certain products are selected or an answer to a previous question matches what you expect.

When adding Flow Logic to a flow, you can choose to add any or all of the following Logic Blocks:

* Products & Plans

  *Let your clients select from the products and plans you offer. Receive the answers via API or view in their profile.*
* Questions

  *Ask your clients questions during onboarding, and even follow-up dynamic questions if their answer matches what you expect. Receive the answers via API or view in their profile.*

{% hint style="info" %}
Flow Logic is currently only available on entity verification flows.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://manual.personr.co/api-documentation/flow-logic/overview.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
